curl --request POST \
--url https://api.qa.tech/v1/applications/{applicationShortId}/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"isProduction": true,
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/applications/{applicationShortId}/environments"
payload = {
"name": "<string>",
"url": "<string>",
"isProduction": True,
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
isProduction: true,
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/applications/{applicationShortId}/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/applications/{applicationShortId}/environments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'url' => '<string>',
'isProduction' => true,
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/applications/{applicationShortId}/environments"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"isProduction\": true,\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qa.tech/v1/applications/{applicationShortId}/environments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"isProduction\": true,\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/applications/{applicationShortId}/environments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"isProduction\": true,\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created": true,
"environment": {
"shortId": "<string>",
"name": "<string>",
"url": "<string>",
"isProduction": true,
"applicationBuildShortId": "<string>",
"otherApplicationBuildShortIds": [
"<string>"
],
"customHeaders": [
{
"domains": [
"<string>"
],
"headers": {}
}
],
"basicAuth": [
{
"domains": [
"<string>"
],
"username": "<string>"
}
]
}
}Create environment
Add an environment (for example staging or production) to a web or API application.
An unarchived environment with the same name on the application is returned unchanged (created: false), so repeating the request does not create a duplicate. Mobile applications are not supported here.
curl --request POST \
--url https://api.qa.tech/v1/applications/{applicationShortId}/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"isProduction": true,
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/applications/{applicationShortId}/environments"
payload = {
"name": "<string>",
"url": "<string>",
"isProduction": True,
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
isProduction: true,
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/applications/{applicationShortId}/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/applications/{applicationShortId}/environments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'url' => '<string>',
'isProduction' => true,
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/applications/{applicationShortId}/environments"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"isProduction\": true,\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qa.tech/v1/applications/{applicationShortId}/environments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"isProduction\": true,\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/applications/{applicationShortId}/environments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"isProduction\": true,\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created": true,
"environment": {
"shortId": "<string>",
"name": "<string>",
"url": "<string>",
"isProduction": true,
"applicationBuildShortId": "<string>",
"otherApplicationBuildShortIds": [
"<string>"
],
"customHeaders": [
{
"domains": [
"<string>"
],
"headers": {}
}
],
"basicAuth": [
{
"domains": [
"<string>"
],
"username": "<string>"
}
]
}
}Path Parameters
^app(-.+_.+|_.+)$Body
Add an environment to a web or API application, e.g. staging next to production.
Environment name, unique within the application.
1 - 100Public http(s) start URL.
Mark the environment as production. Defaults to false. The agent avoids destructive actions on production.
Target a specific project by its prefixed short ID (proj-slug_shortId or proj_shortId), as returned by the projects API. Required for organization-scoped API keys; project-scoped keys may only pass their own project's short ID.
^proj(-.+_.+|_.+)$Was this page helpful?